Gajim - 2017-05-23


  1. thex Hello
  2. thex I'm trying to figure out what the python-farstream package is as my distrobution does not provide it
  3. thex but on distros that do I cannot find an upstream url
  4. thex I need this library to use video and voice features of gajim
  5. thex does someone know what I need to do
  6. Link Mauve thex, you have to use the master branch of Gajim if you want to use audio/video.
  7. thex Link Mauve, So I have to build the thing from git?
  8. Link Mauve The current stable was still using gstreamer 0.10 and farstream 0.1, which is long gone.
  9. Link Mauve It’s Python, you don’t have to build anything.
  10. Link Mauve But yes.
  11. thex ok so the bad-plugins and the farstream package I installed now should work
  12. thex but will updating to master mess up omemo keys
  13. thex or should everything still work fine
  14. Link Mauve Should be fine, but I don’t use omemo.
  15. thex alright thanks
  16. thex https://dpaste.de/nyrJ
  17. thex After installing python3 libraries it turns out all my plugins are outdated and the client from master will not connect
  18. thex After installing python3 libraries it turns out all my plugins are outdated and the client from master will not connect to my server
  19. thex is there a branch of plugins that work for 16.10 and what is the issue causing me not to connect to my jabber
  20. thex brb
  21. thex ok I still have that problem with the one from master
  22. thex whoops closed it by mistake
  23. 5gf As Clientsiconsplugin know the client?
  24. Link Mauve thex, you need an up to date nbxmpp.
  25. thex Link Mauve, I have 0.5.5 installed for python 3
  26. Link Mauve You need the master version.
  27. thex oh
  28. thex brb
  29. thex ok so now master is working
  30. thex but is there a plugin branch for 16.10
  31. Link Mauve Yes, IIRC it’s called gtk3 or something.
  32. thex https://dpaste.de/KA0R
  33. thex It doesn't start connect to my jabber after changing branches
  34. Link Mauve IIRC there is a plugin installer you can use instead of cloning all of the plugins at once, maybe you want to use it instead.
  35. thex alright individually copying over plugins worked
  36. thex thank you
  37. bot Philipp Hörist pushed 3 commits to branch _refs/heads/gtk3_ of _gajim-plugins_ <https://dev.gajim.org/gajim/gajim-plugins>: *8d14bf32* <https://dev.gajim.org/gajim/gajim-plugins/commit/8d14bf328df9a0b3fd462d85e0be9aebaa0cccf1> [omemo] Fix regression when sending to Groupchat This happend during porting the plugin to the new encryption API *0a8aa4df* <https://dev.gajim.org/gajim/gajim-plugins/commit/0a8aa4df89083e57daaea041739297592856f36f> [omemo] Clean up some small things - unused import - unused var GAJIM_VERSION - redundant self.plugin = self - simplify condition - redundant 'else' *90887631* <https://dev.gajim.org/gajim/gajim-plugins/commit/90887631a7c5b765e1749ed433bc8bc6c243eec0> [omemo] Update CHANGELOG & manifest.ini